package de.hawhamburg.reachability.tools.googleCalendar.enumeration;

/**
 * Request types to be used in common with the google calendar service.<br><br>
 * 
 * This enumeration contains all request types which can be used in common with the google calendar service. These types
 * are generally used within a {@link de.hawhamburg.reachability.tools.googleCalendar.json.JsonGoogleCalendarRequest} 
 * message.
 * 
 * @author  {@value de.hawhamburg.reachability.ProjectInfo#REACHABILITY_AGENT_AUTHOR} 
 * @version {@value de.hawhamburg.reachability.ProjectInfo#REACHABILITY_AGENT_VERSION}
 */
public enum CalendarRequestType {
    
    /**
     * Returns the current event from the google calendar if existing.
     */
    CURRENT,
    
    /**
     * Returns all defined events in a specified time range from the google calendar.
     */
    RANGE,

    /**
     * Returns the last <i>n</i> events from the google calendar.
     */
    LAST,
    
    /**
     * Returns the next <i>n</i> events from the google calendar.
     */
    NEXT,
    
    /**
     * Shuts the google calendar service down. 
     */
    CONTROL_KILL_SENSOR
    
}
